Bug 4517 - build leaves configuration where binaries didn't look
build leaves configuration where binaries didn't look
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: open (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-13 22:48 EDT by Arenas Belon, Carlo Marcelo
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-30 19:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arenas Belon, Carlo Marcelo 1999-08-13 22:48:39 EDT
a small configuration on include/ldapconfig.h.edit is
needed to allow configuration files to go to the right place
as is told on ./configure call.

also adding a /var/lib/ldap as default data directory seems
like a good idea

make install leaves server binaries on /usr/libexec instead
of /usr/sbin so ldap.init can't find them.

patches on mail

Carlo

PS. sorry but seems openldap is missing on componentt list
Comment 1 carenas 1999-08-24 09:26:59 EDT
a new openldap-3 RPM has been posted and the problems are still there

i'd taken the new SRPM and applied a patch from scratch
now i'm taking a new perspective

instead of tweaking ldap.init to look on /usr/libexec instead of
$PATH, i'm making links for slapd and slurp, and fixing the configfile
to go to /etc/openldap just changing the corresponding values on spec
and not on the openldap source.

patches on mail
Comment 2 carenas 1999-08-24 10:15:59 EDT
a new openldap-3 RPM has been posted and the problems are still there

i'd taken the new SRPM and applied a patch from scratch
now i'm taking a new perspective

instead of tweaking ldap.init to look on /usr/libexec instead of
$PATH, i'm making links for slapd and slurp, and fixing the configfile
to go to /etc/openldap just changing the corresponding values on spec
and not on the openldap source.

patches on mail
Comment 3 carenas 1999-08-25 13:01:59 EDT
-5 is out SPEC almost fixed.. but ldap.init is still having problems

new pachts against -5 on mail, hope we get on sync now ;)

i think the new ldap.init is far more complicated that the original
one, and could be optimized (too much nested ifs), i would prefer to
keep it this way to be more clear

something to think about is how should we lock ldap subsystem?, should
we hope success on both slapd and slurpd to lock? i think we should..
but as an example syslog.init from sysklogd lock the subsystem even if
one of the two daemons fail.

i keep with tradition.. just to be sure

Carlo
Comment 4 Jeff Johnson 1999-08-26 18:58:59 EDT
Fixed in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.